## atomiks 1.0.4.1

=== Makefile ===
CFLAGS = -std=gnu89 -O3 -Wall -Wextra -pedantic -Wno-long-long
LIBS = -lSDL2 -lSDL2_mixer

all: atomiks

atomiks: atomiks.o atomcore.o cfg.o drv_gra.o drv_inp.o drv_snd.o drv_tim.o gz.o
	gcc atomiks.o atomcore.o cfg.o drv_gra.o drv_inp.o drv_snd.o drv_tim.o gz.o $(LIBS) -o atomiks $(CFLAGS) $(LDFLAGS)

atomiks.o: atomiks.c
	gcc -c atomiks.c -o atomiks.o $(CFLAGS)

editor: editor.c atomcore.o drv_gra.o gz.o
	gcc editor.c atomcore.o drv_gra.o gz.o -lSDL2 -o editor $(CFLAGS)

file2c: file2c.c
	gcc $(CFLAGS) file2c.c -o file2c

png2bmp: png2bmp.c
	gcc $(CFLAGS) png2bmp.c -o png2bmp `sdl2-config --libs` -lSDL2_image

zopfli: zopfli-1.0/*.c
	gcc zopfli-1.0/*.c -O2 -W -Wall -Wextra -ansi -pedantic -lm -o zopfli

data.h: img/*.png snd/*.mod snd/*.wav zopfli file2c png2bmp
	echo "/* autogenerated file */" > data.h
	for x in img/*.png ; do ./png2bmp $$x ; done
	for x in img/*.bmp ; do ./zopfli $$x ; done
	rm img/*.bmp
	for x in img/*.bmp.gz ; do ./file2c $$x >> data.h ; done
	rm img/*.bmp.gz
	for x in snd/*.mod ; do ./file2c $$x >> data.h ; done
	for x in snd/*.wav ; do ./file2c $$x >> data.h ; done

levels.h: lev/lev*.dat
	echo "/* autogenerated file */" > levels.h
	for x in lev/*.dat ; do ./file2c $$x >> levels.h ; done

clean:
	rm -f editor atomiks atomiks.exe file2c png2bmp zopfli *.o

=== debian/changelog ===
atomiks (1.0.4.1-3) unstable; urgency=medium

  * Add new build dependency on libjack-dev to make it build in
    Bookworm/Daedalus and up.
  * Update documentation and copyright notices.
  * Bump standard to 4.5.1 and copat to 13.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 14 Sep 2023 14:44:56 +0200

atomiks (1.0.4.1-2) unstable; urgency=medium

  * Hardening-No-Bindnow-patch.
  * Rules does not require root anymore.
  * Corrected wrong URL for upstream source.
  * Bumped standard up to 4.5.0.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 10 Jun 2022 21:16:55 +0200

atomiks (1.0.4.1-1) unstable; urgency=medium

  * Initial release
  * Add missing build dependency on libsdl-mixer-dev
  * Change rule file
  * Update coyright file
  * Update control file
  * Update install files
  * Update README
  * Add manpage
  * Correct spelling errors
  * Create changelog

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 24 Dec 2021 13:59:47 +0100

=== debian/control ===
Source: atomiks
Section: games
Priority: optional
Maintainer: Friedhelm Mehnert <friedhelm@friedhelms.net>
Build-Depends: debhelper-compat (=13), libsdl2-dev (>=2.0.1), libsdl2-mixer-dev, libjack-dev
Homepage: http://atomiks.sourceforge.net
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: atomiks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Atomiks - A remake of the classic Atomix game for modern platforms
 Atomiks is a faithful remake of, and a tribute to, Atomix, a classic
 puzzle game created by Softtouch & RoSt and released in 1990 by the
 Thalion Software company. Atomiks is free software, and shares no code
 with the original Atomix game.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export LDFLAGS = -Wl,-z,now,-g

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS='-g -std=gnu89 -O3 -Wall -Wextra -pedantic -Wno-long-long'
